# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname raphf
%define soname %{modname}.so
%define inifile B14_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)


Summary:	Resource and persistent handles factory
Name:		php-%{modname}
Version:	2.0.1
Release:	%mkrel 9
Group:		Development/PHP
License:	BSD
URL:		https://pecl.php.net/package/%{modname}
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Resource and persistent handles factory
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
A reusable split-off of pecl_http's persistent handle and resource factory API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 %{soname} %{buildroot}%{extdir}/

install -m644 php_%{modname}.h %{buildroot}%{incdir}/ext/%{modname}
install -m644 php_%{modname}_api.h %{buildroot}%{incdir}/ext/%{modname}

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%{incdir}/ext/%{modname}/php_%{modname}.h
%{incdir}/ext/%{modname}/php_%{modname}_api.h


%changelog
* Thu Feb 15 2024 mokraemer <mokraemer> 2.0.1-9.mga9
+ Revision: 2041635
- support multiversioned php

* Fri Sep 08 2023 mokraemer <mokraemer> 2.0.1-8.mga10
+ Revision: 1985195
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 2.0.1-7.mga9
+ Revision: 1902464
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 2.0.1-6.mga9
+ Revision: 1879787
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 2.0.1-5.mga9
+ Revision: 1869980
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 2.0.1-4.mga9
+ Revision: 1869849
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 2.0.1-3.mga9
+ Revision: 1796796
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 2.0.1-2.mga9
+ Revision: 1759378
- rebuild for php 8.1

* Wed Nov 25 2020 mokraemer <mokraemer> 2.0.1-1.mga8
+ Revision: 1649095
- new version 2.0.1

* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.0-11.mga8
+ Revision: 1596237
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-10.mga8
+ Revision: 1538985
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.0-9.mga8
+ Revision: 1463538
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2.0.0-8.mga8
+ Revision: 1454927
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.0-6.mga7
+ Revision: 1340453
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.0-5.mga7
+ Revision: 1325835
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1300238
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2.0.0-3.mga7
+ Revision: 1217341
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.0-2.mga7
+ Revision: 1181036
+ rebuild (emptylog)

* Sun Nov 12 2017 zezinho <zezinho> 2.0.0-1.mga7
+ Revision: 1177095
- new version

* Fri Mar 10 2017 rapsys <rapsys> 1.1.2-1.mga6
+ Revision: 1091508
- Fix ini numbering
- Fix license
- imported package php-raphf

